import { ListOriginEndpointsCommand, } from "../commands/ListOriginEndpointsCommand";
import { MediaPackageV2Client } from "../MediaPackageV2Client";
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListOriginEndpointsCommand(input), ...args);
};
export async function* paginateListOriginEndpoints(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        input["MaxResults"] = config.pageSize;
        if (config.client instanceof MediaPackageV2Client) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected MediaPackageV2 | MediaPackageV2Client");
        }
        yield page;
        const prevToken = token;
        token = page.NextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
