import { HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import {
  CreateChannelCommandInput,
  CreateChannelCommandOutput,
} from "./commands/CreateChannelCommand";
import {
  CreateChannelGroupCommandInput,
  CreateChannelGroupCommandOutput,
} from "./commands/CreateChannelGroupCommand";
import {
  CreateOriginEndpointCommandInput,
  CreateOriginEndpointCommandOutput,
} from "./commands/CreateOriginEndpointCommand";
import {
  DeleteChannelCommandInput,
  DeleteChannelCommandOutput,
} from "./commands/DeleteChannelCommand";
import {
  DeleteChannelGroupCommandInput,
  DeleteChannelGroupCommandOutput,
} from "./commands/DeleteChannelGroupCommand";
import {
  DeleteChannelPolicyCommandInput,
  DeleteChannelPolicyCommandOutput,
} from "./commands/DeleteChannelPolicyCommand";
import {
  DeleteOriginEndpointCommandInput,
  DeleteOriginEndpointCommandOutput,
} from "./commands/DeleteOriginEndpointCommand";
import {
  DeleteOriginEndpointPolicyCommandInput,
  DeleteOriginEndpointPolicyCommandOutput,
} from "./commands/DeleteOriginEndpointPolicyCommand";
import {
  GetChannelCommandInput,
  GetChannelCommandOutput,
} from "./commands/GetChannelCommand";
import {
  GetChannelGroupCommandInput,
  GetChannelGroupCommandOutput,
} from "./commands/GetChannelGroupCommand";
import {
  GetChannelPolicyCommandInput,
  GetChannelPolicyCommandOutput,
} from "./commands/GetChannelPolicyCommand";
import {
  GetOriginEndpointCommandInput,
  GetOriginEndpointCommandOutput,
} from "./commands/GetOriginEndpointCommand";
import {
  GetOriginEndpointPolicyCommandInput,
  GetOriginEndpointPolicyCommandOutput,
} from "./commands/GetOriginEndpointPolicyCommand";
import {
  ListChannelGroupsCommandInput,
  ListChannelGroupsCommandOutput,
} from "./commands/ListChannelGroupsCommand";
import {
  ListChannelsCommandInput,
  ListChannelsCommandOutput,
} from "./commands/ListChannelsCommand";
import {
  ListOriginEndpointsCommandInput,
  ListOriginEndpointsCommandOutput,
} from "./commands/ListOriginEndpointsCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "./commands/ListTagsForResourceCommand";
import {
  PutChannelPolicyCommandInput,
  PutChannelPolicyCommandOutput,
} from "./commands/PutChannelPolicyCommand";
import {
  PutOriginEndpointPolicyCommandInput,
  PutOriginEndpointPolicyCommandOutput,
} from "./commands/PutOriginEndpointPolicyCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "./commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "./commands/UntagResourceCommand";
import {
  UpdateChannelCommandInput,
  UpdateChannelCommandOutput,
} from "./commands/UpdateChannelCommand";
import {
  UpdateChannelGroupCommandInput,
  UpdateChannelGroupCommandOutput,
} from "./commands/UpdateChannelGroupCommand";
import {
  UpdateOriginEndpointCommandInput,
  UpdateOriginEndpointCommandOutput,
} from "./commands/UpdateOriginEndpointCommand";
import { MediaPackageV2Client } from "./MediaPackageV2Client";
export interface MediaPackageV2 {
  createChannel(
    args: CreateChannelCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateChannelCommandOutput>;
  createChannel(
    args: CreateChannelCommandInput,
    cb: (err: any, data?: CreateChannelCommandOutput) => void
  ): void;
  createChannel(
    args: CreateChannelCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateChannelCommandOutput) => void
  ): void;
  createChannelGroup(
    args: CreateChannelGroupCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateChannelGroupCommandOutput>;
  createChannelGroup(
    args: CreateChannelGroupCommandInput,
    cb: (err: any, data?: CreateChannelGroupCommandOutput) => void
  ): void;
  createChannelGroup(
    args: CreateChannelGroupCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateChannelGroupCommandOutput) => void
  ): void;
  createOriginEndpoint(
    args: CreateOriginEndpointCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateOriginEndpointCommandOutput>;
  createOriginEndpoint(
    args: CreateOriginEndpointCommandInput,
    cb: (err: any, data?: CreateOriginEndpointCommandOutput) => void
  ): void;
  createOriginEndpoint(
    args: CreateOriginEndpointCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateOriginEndpointCommandOutput) => void
  ): void;
  deleteChannel(
    args: DeleteChannelCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteChannelCommandOutput>;
  deleteChannel(
    args: DeleteChannelCommandInput,
    cb: (err: any, data?: DeleteChannelCommandOutput) => void
  ): void;
  deleteChannel(
    args: DeleteChannelCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteChannelCommandOutput) => void
  ): void;
  deleteChannelGroup(
    args: DeleteChannelGroupCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteChannelGroupCommandOutput>;
  deleteChannelGroup(
    args: DeleteChannelGroupCommandInput,
    cb: (err: any, data?: DeleteChannelGroupCommandOutput) => void
  ): void;
  deleteChannelGroup(
    args: DeleteChannelGroupCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteChannelGroupCommandOutput) => void
  ): void;
  deleteChannelPolicy(
    args: DeleteChannelPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteChannelPolicyCommandOutput>;
  deleteChannelPolicy(
    args: DeleteChannelPolicyCommandInput,
    cb: (err: any, data?: DeleteChannelPolicyCommandOutput) => void
  ): void;
  deleteChannelPolicy(
    args: DeleteChannelPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteChannelPolicyCommandOutput) => void
  ): void;
  deleteOriginEndpoint(
    args: DeleteOriginEndpointCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteOriginEndpointCommandOutput>;
  deleteOriginEndpoint(
    args: DeleteOriginEndpointCommandInput,
    cb: (err: any, data?: DeleteOriginEndpointCommandOutput) => void
  ): void;
  deleteOriginEndpoint(
    args: DeleteOriginEndpointCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteOriginEndpointCommandOutput) => void
  ): void;
  deleteOriginEndpointPolicy(
    args: DeleteOriginEndpointPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteOriginEndpointPolicyCommandOutput>;
  deleteOriginEndpointPolicy(
    args: DeleteOriginEndpointPolicyCommandInput,
    cb: (err: any, data?: DeleteOriginEndpointPolicyCommandOutput) => void
  ): void;
  deleteOriginEndpointPolicy(
    args: DeleteOriginEndpointPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteOriginEndpointPolicyCommandOutput) => void
  ): void;
  getChannel(
    args: GetChannelCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetChannelCommandOutput>;
  getChannel(
    args: GetChannelCommandInput,
    cb: (err: any, data?: GetChannelCommandOutput) => void
  ): void;
  getChannel(
    args: GetChannelCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetChannelCommandOutput) => void
  ): void;
  getChannelGroup(
    args: GetChannelGroupCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetChannelGroupCommandOutput>;
  getChannelGroup(
    args: GetChannelGroupCommandInput,
    cb: (err: any, data?: GetChannelGroupCommandOutput) => void
  ): void;
  getChannelGroup(
    args: GetChannelGroupCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetChannelGroupCommandOutput) => void
  ): void;
  getChannelPolicy(
    args: GetChannelPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetChannelPolicyCommandOutput>;
  getChannelPolicy(
    args: GetChannelPolicyCommandInput,
    cb: (err: any, data?: GetChannelPolicyCommandOutput) => void
  ): void;
  getChannelPolicy(
    args: GetChannelPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetChannelPolicyCommandOutput) => void
  ): void;
  getOriginEndpoint(
    args: GetOriginEndpointCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetOriginEndpointCommandOutput>;
  getOriginEndpoint(
    args: GetOriginEndpointCommandInput,
    cb: (err: any, data?: GetOriginEndpointCommandOutput) => void
  ): void;
  getOriginEndpoint(
    args: GetOriginEndpointCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetOriginEndpointCommandOutput) => void
  ): void;
  getOriginEndpointPolicy(
    args: GetOriginEndpointPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetOriginEndpointPolicyCommandOutput>;
  getOriginEndpointPolicy(
    args: GetOriginEndpointPolicyCommandInput,
    cb: (err: any, data?: GetOriginEndpointPolicyCommandOutput) => void
  ): void;
  getOriginEndpointPolicy(
    args: GetOriginEndpointPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetOriginEndpointPolicyCommandOutput) => void
  ): void;
  listChannelGroups(
    args: ListChannelGroupsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListChannelGroupsCommandOutput>;
  listChannelGroups(
    args: ListChannelGroupsCommandInput,
    cb: (err: any, data?: ListChannelGroupsCommandOutput) => void
  ): void;
  listChannelGroups(
    args: ListChannelGroupsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListChannelGroupsCommandOutput) => void
  ): void;
  listChannels(
    args: ListChannelsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListChannelsCommandOutput>;
  listChannels(
    args: ListChannelsCommandInput,
    cb: (err: any, data?: ListChannelsCommandOutput) => void
  ): void;
  listChannels(
    args: ListChannelsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListChannelsCommandOutput) => void
  ): void;
  listOriginEndpoints(
    args: ListOriginEndpointsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListOriginEndpointsCommandOutput>;
  listOriginEndpoints(
    args: ListOriginEndpointsCommandInput,
    cb: (err: any, data?: ListOriginEndpointsCommandOutput) => void
  ): void;
  listOriginEndpoints(
    args: ListOriginEndpointsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListOriginEndpointsCommandOutput) => void
  ): void;
  listTagsForResource(
    args: ListTagsForResourceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListTagsForResourceCommandOutput>;
  listTagsForResource(
    args: ListTagsForResourceCommandInput,
    cb: (err: any, data?: ListTagsForResourceCommandOutput) => void
  ): void;
  listTagsForResource(
    args: ListTagsForResourceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListTagsForResourceCommandOutput) => void
  ): void;
  putChannelPolicy(
    args: PutChannelPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutChannelPolicyCommandOutput>;
  putChannelPolicy(
    args: PutChannelPolicyCommandInput,
    cb: (err: any, data?: PutChannelPolicyCommandOutput) => void
  ): void;
  putChannelPolicy(
    args: PutChannelPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutChannelPolicyCommandOutput) => void
  ): void;
  putOriginEndpointPolicy(
    args: PutOriginEndpointPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutOriginEndpointPolicyCommandOutput>;
  putOriginEndpointPolicy(
    args: PutOriginEndpointPolicyCommandInput,
    cb: (err: any, data?: PutOriginEndpointPolicyCommandOutput) => void
  ): void;
  putOriginEndpointPolicy(
    args: PutOriginEndpointPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutOriginEndpointPolicyCommandOutput) => void
  ): void;
  tagResource(
    args: TagResourceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<TagResourceCommandOutput>;
  tagResource(
    args: TagResourceCommandInput,
    cb: (err: any, data?: TagResourceCommandOutput) => void
  ): void;
  tagResource(
    args: TagResourceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: TagResourceCommandOutput) => void
  ): void;
  untagResource(
    args: UntagResourceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UntagResourceCommandOutput>;
  untagResource(
    args: UntagResourceCommandInput,
    cb: (err: any, data?: UntagResourceCommandOutput) => void
  ): void;
  untagResource(
    args: UntagResourceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UntagResourceCommandOutput) => void
  ): void;
  updateChannel(
    args: UpdateChannelCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateChannelCommandOutput>;
  updateChannel(
    args: UpdateChannelCommandInput,
    cb: (err: any, data?: UpdateChannelCommandOutput) => void
  ): void;
  updateChannel(
    args: UpdateChannelCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateChannelCommandOutput) => void
  ): void;
  updateChannelGroup(
    args: UpdateChannelGroupCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateChannelGroupCommandOutput>;
  updateChannelGroup(
    args: UpdateChannelGroupCommandInput,
    cb: (err: any, data?: UpdateChannelGroupCommandOutput) => void
  ): void;
  updateChannelGroup(
    args: UpdateChannelGroupCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateChannelGroupCommandOutput) => void
  ): void;
  updateOriginEndpoint(
    args: UpdateOriginEndpointCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateOriginEndpointCommandOutput>;
  updateOriginEndpoint(
    args: UpdateOriginEndpointCommandInput,
    cb: (err: any, data?: UpdateOriginEndpointCommandOutput) => void
  ): void;
  updateOriginEndpoint(
    args: UpdateOriginEndpointCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateOriginEndpointCommandOutput) => void
  ): void;
}
export declare class MediaPackageV2
  extends MediaPackageV2Client
  implements MediaPackageV2 {}
