import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  DeleteOriginEndpointRequest,
  DeleteOriginEndpointResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteOriginEndpointCommandInput
  extends DeleteOriginEndpointRequest {}
export interface DeleteOriginEndpointCommandOutput
  extends DeleteOriginEndpointResponse,
    __MetadataBearer {}
export declare class DeleteOriginEndpointCommand extends $Command<
  DeleteOriginEndpointCommandInput,
  DeleteOriginEndpointCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: DeleteOriginEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteOriginEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteOriginEndpointCommandInput,
    DeleteOriginEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
