import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  UpdateChannelGroupRequest,
  UpdateChannelGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateChannelGroupCommandInput
  extends UpdateChannelGroupRequest {}
export interface UpdateChannelGroupCommandOutput
  extends UpdateChannelGroupResponse,
    __MetadataBearer {}
export declare class UpdateChannelGroupCommand extends $Command<
  UpdateChannelGroupCommandInput,
  UpdateChannelGroupCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: UpdateChannelGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateChannelGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UpdateChannelGroupCommandInput, UpdateChannelGroupCommandOutput>;
  private serialize;
  private deserialize;
}
